Bug 723323 - OperationalError: database is locked
Summary: OperationalError: database is locked
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 19
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:769f8f7a7047100c5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-19 18:44 UTC by James Laska
Modified: 2015-02-17 13:48 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 13:48:56 UTC
Type: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (623.83 KB, text/plain)
2011-07-19 18:44 UTC, James Laska
no flags Details

Description James Laska 2011-07-19 18:44:30 UTC
The following was filed automatically by anaconda:
anaconda 16.12 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/yum/sqlutils.py", line 166, in executeSQLQmark
    return cursor.execute(query)
  File "/usr/lib/python2.7/site-packages/yum/history.py", line 1097, in old
    executeSQL(cur, sql, params)
  File "/usr/lib/python2.7/site-packages/yum/history.py", line 1148, in last
    ret = self.old([], 1, complete_transactions_only)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1477, in runTransaction
    lastdbv = self.history.last()
  File "/tmp/updates/pyanaconda/yuminstall.py", line 1034, in _run
    self.runTransaction(cb=cb)
  File "/tmp/updates/pyanaconda/yuminstall.py", line 1017, in run
    if self._run(instLog, cb, intf) == DISPATCH_BACK:
  File "/tmp/updates/pyanaconda/yuminstall.py", line 1628, in doInstall
    rc = self.ayum.run(self.instLog, cb, anaconda.intf)
  File "/tmp/updates/pyanaconda/backend.py", line 205, in doInstall
    return anaconda.backend.doInstall(anaconda)
  File "/tmp/updates/pyanaconda/dispatch.py", line 338, in dispatch
    self.dir = self.steps[self.step].target(self.anaconda)
  File "/tmp/updates/pyanaconda/dispatch.py", line 235, in go_forward
    self.dispatch()
  File "/tmp/updates/pyanaconda/gui.py", line 1198, in nextClicked
    self.anaconda.dispatch.go_forward()
  File "/tmp/updates/pyanaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/tmp/updates/pyanaconda/gui.py", line 1218, in handleRenderCallback
    self.currentWindow.renderCallback()
OperationalError: database is locked

Comment 1 James Laska 2011-07-19 18:44:35 UTC
Created attachment 513855 [details]
Attached traceback automatically from anaconda.

Comment 2 James Laska 2011-07-19 18:46:30 UTC
While testing anaconda-16.12-1 [1] (with updates=http://jlaska.fedorapeople.org/updates/f16-alpha.img), during a @minimal package install, I encounter the failure listed in comment#0.

[1] http://alt.fedoraproject.org/pub/alt/stage/20110714/

Comment 3 James Laska 2011-07-19 19:36:31 UTC
To reproduce this issue ....

 1. Attempt a @default graphical installation ... the install must fail due to file conflicts
 2. At the file conflict dialog, select Back
 3. At the repo setup screen, change the install group to [X] Minimal
 4. Proceed with installation

This error only happens when going back to the reposetup screen after some packaging failure.

Comment 4 Fedora End Of Life 2013-04-03 18:22:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 7 Fedora End Of Life 2015-01-09 16:43:34 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-02-17 13:48:56 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.